Rotate Agent Credential
curl --request POST \
--url https://api.promptguard.dev/api/v1/proxy/agent/{agent_id}/rotate-credential \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.promptguard.dev/api/v1/proxy/agent/{agent_id}/rotate-credential"
headers = {"X-API-Key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.promptguard.dev/api/v1/proxy/agent/{agent_id}/rotate-credential', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"agent_id": "<string>",
"new_secret": "<string>",
"credential_prefix": "<string>",
"old_credential_revoked": true
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"current_plan": "<string>",
"requests_used": 123,
"requests_limit": 123,
"upgrade_url": "<string>",
"retry_after": 123
}
}Rotate Agent Credential
Revoke the current credential and issue a new one.
POST
/
api
/
v1
/
proxy
/
agent
/
{agent_id}
/
rotate-credential
Rotate Agent Credential
Authorizations
PromptGuard API key for developer endpoints. Keys start with pg_live_ and are created in the dashboard.
Headers
Path Parameters
⌘I